<?php 
    $tm = $this->thisTeamMember;

    $type = $this->type;

    $tmImage = json_decode($tm->imageData);
    $teammemImage = '';
    if(!empty($tmImage))
    {
        $teammemImage = $tmImage[0]->url;
    }
?>

<?php if($type == 'edit'){ ?>    
    <div class="upload-member">
                
                        <div id="noImageBox" class="upload-member-cover addTeamMemberPhoto noImageBox" onclick="uploadImage('team-member');">
                            <a href="javascript:void(0);"></a>
                        </div>
                        <div style="display:none;" data-type="team-member" class="upload-image-list-team-member editable small-image-section"></div>
                        
                        <input type="text" placeholder="Member Name" value="<?php echo $tm->name; ?>" class="team_member_name">
                        <input type="text" placeholder="Position" value="<?php echo $tm->position; ?>" class="team_member_position">
                        <textarea placeholder="Biography" class="team_member_description"><?php echo $tm->biography; ?></textarea>
                        <div class="clear"></div>
                        <div class="post-uploaded-product">
                            <button onclick="javascript: editTeamMemberData(<?php echo $tm->id; ?>);" class="postblueBtnCategory">Post</button>
                            <button id="hide-upload" onclick="javascript: hideEditBox();" class="hideBtnCategory">Cancel</button>
                            <input type="hidden" name="hdnTMPhoto" id="hdnTMPhoto" value="<?php echo $teammemImage; ?>">
                            <div class="clear"></div>
                        </div>
                    </div>                    
<?php }else{ ?>
    
    <div class="show_team_member">
        <div class="exit-team">
            <a onclick="javascript:closeViewForm();" href="javascript:void(0);" id="exit-team"><i class="fa fa-remove lightBlue" aria-hidden="true"></i></a>
        </div>
        
        <div class="team-edit-action">
            <?php if($this->userCanEditBrand){ ?>
                                
                <li class="olovka dropdown">
                    <a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">
                        <i class="fa fa-pencil" aria-hidden="true"></i>
                    </a>
                    <ul class="dropdown-menu aboutPopup">
                        <div class="aboutPop">
                            <ul>
                                <li>
                                    <a href="<?php echo $this->url("show-team-member", ["tmId" => $tm->id]); ?>" onclick="javascript: editTeamMember(this, <?php echo $tm->id; ?>); return false;">
                                        <img src="/images/pen.png"><span>Edit</span>
                                    </a>
                                </li>
                                <li>
                                    <a href="<?php echo $this->url("delete-team-member", ["tmId" => $tm->id]); ?>" onclick="javascript: deleteTeamMember(this, <?php echo $tm->id; ?>); return false;">
                                        <img src="/images/trash.png"><span>Delete</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </ul>
                </li>
            <?php } ?>
        </div>
        
        <div class="member-profile-picture <?php echo (!empty($teammemImage)) ? "nobackground" : ''; ?>">
            <?php if(!empty($teammemImage)){ ?>
                <img src="<?php echo $teammemImage; ?>">
            <?php } ?>
        </div>
        <div class="member-profile-info">
            <h2><?php echo $tm->name; ?></h2>
            <div class="mini-blue"><img src="/images/mini-blue.png"></div>
            <span><?php echo $tm->position; ?></span>
            <p><?php echo $tm->biography; ?></p>
        </div>
        
        <div class="clear"></div>
    </div>
<?php } ?>

<?php  die; ?>
